libgnatcoll-bindings (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild with gnat-13 13.2.0-21.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 22:14:53 +0100

libgnatcoll-bindings (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of the deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 15:08:49 +0100

libgnatcoll-bindings (24.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Rename library packages with new shared object names because of gnat-13.
  * Improve readability of debian/rules.
  * Lintian: fix changelog formatting, update patch metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Oct 2023 10:03:58 +0000

libgnatcoll-bindings (23.0.0-7) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Replace debhelper overrides with small files for now unversioned -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 23:55:33 +0000

libgnatcoll-bindings (23.0.0-6) unstable; urgency=medium

  * Break/Replace libgnatcoll-*-dev since oldstable.
    Closes: #1034917, #1034919, #1034928, #1034940, #1034974.
    Closes: #1034991, #1035002.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:52:30 +0200

libgnatcoll-bindings (23.0.0-5) unstable; urgency=medium

  * Let the python -dev depend on the python version it is built with
    (3.11) instead of the local default (3.10 during autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Jan 2023 23:03:37 +0000

libgnatcoll-bindings (23.0.0-4) unstable; urgency=medium

  * Adapt PyFrameObject accessors to python/3.11.  Closes: #1027843.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 04 Jan 2023 13:52:00 +0000

libgnatcoll-bindings (23.0.0-3) unstable; urgency=medium

  * Let each -dev package depend on the original C -dev (fixing autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 16:03:23 +0000

libgnatcoll-bindings (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:25:17 +0100

libgnatcoll-bindings (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Nov 2022 01:14:18 +0000

libgnatcoll-bindings (23~20220814-1) experimental; urgency=medium

  * New upstream snapshot applying a few patches.
  * Update for dh-ada-library 8.1.
  * Add an unversioned python project wrapper for python3.
  * Patch removing gprinstall artifacts from projects
    (in order no to install gprinstall during -indep builds).
  * The gnatcoll project now generated by gprinstall *does*
    set So_Ext.  Drop the related patch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Aug 2022 16:55:07 +0000

libgnatcoll-bindings (23~20220315-1) experimental; urgency=medium

  * Build upstream snapshot with gnat-12 for experimental.
    Increase ALI versions in -dev package names, but no SO version.
  * Apply build flags to a forgotten source.
  * Forward some patches.
  * rules: use DEB_GNAT_VERSION from debian_packaging.mk.
    Prefer execute_before_dh_ to override_dh_ and --remaining-packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Aug 2022 12:46:05 +0000

libgnatcoll-bindings (22.0.0-4) unstable; urgency=medium

  * Require a GCC major version instead of a full match. Closes: #1016337.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Aug 2022 20:51:40 +0000

libgnatcoll-bindings (22.0.0-3) unstable; urgency=medium

  * Closes: #1013474. Explicitly select the same compiler for Ada and C
  * Update Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Jun 2022 10:02:31 +0000

libgnatcoll-bindings (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:41:48 +0200

libgnatcoll-bindings (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11 in experimental.
    Rename -dev packages according to Debian Policy for Ada.
    Except python below, no need to rename shared library packages.
  * Build the python3 binding from this source package. Closes: #760004.
    Rename the libgnatcoll-python library to -python3.
  * Move clean target from debian/rules to debian/clean.
  * Standard-Versions: 4.6.0.
  * Improve some long descriptions.
  * Use the unversioned debian_packaging.mk from the gnat package.
  * Stop installing README.md documentation, mostly intended for build.
  * Add upstream/metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 16:57:45 +0000

libgnatcoll-bindings (21.0.0-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:07:35 +0100

libgnatcoll-bindings (21.0.0-3) experimental; urgency=medium

  * Restrict versions of build dependencies, fixing the build of indirect
    reverse dependencies in experimental where ALI versions do not change.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 20:07:01 +0000

libgnatcoll-bindings (21.0.0-2) experimental; urgency=medium

  * Rebuild with dh-ada-library >= 7.1 (depending on the same libgnatpr).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Oct 2020 09:50:02 +0000

libgnatcoll-bindings (21.0.0-1) experimental; urgency=medium

  * New upstream release.  No renaming in experimental,
    but new -dev and lib packages for the OpenMP binding.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging, merge paragraphs with the same license.
  * Upstream recommends to watch github instead of the community website.
  * Set Section to libdevel instead of misc.
  * Embed new short specific docs instead of referencing libgnatcoll-doc.
  * Make package descriptions more informative.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2020 22:48:56 +0000

libgnatcoll-bindings (20.0-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
  * Reduce the divergence between branches
  * Pass build flags via the environment
  * Debhelper 13
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 15:29:21 +0000

libgnatcoll-bindings (19-3) unstable; urgency=medium

  * Move python library to its own Debian source package so that #936869
    does not prevent unrelated components to migrate to testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Mar 2020 21:05:50 +0200

libgnatcoll-bindings (19-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0
  * Use debhelper 12 dh-sequence syntax.
  * Drop redundant branch from Vcs-Git.
  * Give each library a separate test.
  * Drop python3 patch (applied upstream, not in Debian).

  [Matthias Klose <doko@debian.org>]
  * Depend on versioned python2. Closes: #952549.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 16:48:57 +0100

libgnatcoll-bindings (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9.
    Rename library and -dev package accordingly.
    New bindings for lzma and zlib C libraries.
  * Forward all possible patches, but remove style changes from Debian.
  * Move VCS to git and salsa.debian.org.
  * Debhelper 12. Standards-Version: 4.4.0. Rules-Requires-Root: no.
  * Ask for more linker warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 13:41:04 +0200

libgnatcoll-bindings (18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to fix stderr output in autopkg tests.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2019 09:08:17 +0200

libgnatcoll-bindings (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:58 +0200

libgnatcoll-bindings (18-1) experimental; urgency=medium

  * New upstream version, splitting the libgnatcoll source package.
    This component needs no repackaging.
  * No ALI/SO package renaming in experimental, but two new binary packages:
    libgnatcoll-syslogSO and libgnatcoll-syslogALI-dev.
  * Let example project build out of the source tree.
  * Trick separate library versions without patch.
  * Force .so extension so that projects build with packaged gnatcoll.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 15:33:44 +0200

libgnatcoll (17.0.2017-5) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr1-dev, libgtkada18-dev..
    Rename shared libraries and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Install documentation to libgnatcoll-doc.
    Doc is shared for all -dev packages, so the effort is wasted.
  * Remove override for lintian pedantic messages.
  * Update upstream home page.
  * Use forgotten sphinxdoc:Built-Using substitution variable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 08:13:15 +0200

libgnatcoll (17.0.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Break+Replace: previous gtkada-dev package per Ada policy. Closes: #896570.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:17:56 +0200

libgnatcoll (17.0.2017-4~pre1) experimental; urgency=medium

  * Rebuild with libgtkada-dev updating gtk-gir, fixing gnat-gps.
    Ada policy requires a renaming of the libgnatcoll-gtk-dev package,
    but the fix does not affect the gnatcoll ABI and SO version.
  * Debhelper 11 and Standards-Version: 4.1.3.
    Move docs from /u/s/doc/*-doc to /u/s/doc/*-dev.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * python_single_statement_set_default_console.diff: fix serious typo.
  * Build-Depend: drop dpkg-dev obsolete version restriction.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Mar 2018 14:28:59 +0100

libgnatcoll (17.0.2017-3) unstable; urgency=medium

  * Make testsuite more verbose. Closes: #872081.
  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872204.
  * Build-Depend: python3 version of sphinx-doc. Patch conf.py.
  * Standards-Version: 4.1.0.
  * Rebuild with libgpr 2017-5 (because of libxmlada-unicode).
    -dev version is already new in testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:54:43 +0200

libgnatcoll (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * The switch to gcc-7 requires a SO version bump for each library,
    except gnatcoll, g-python, g-xref, already new in unstable.
    The Break/Replace with previous -dev becomes implicit in unstable.
  * Disable parallel doc generation to prevent #869098.
  * Standards-Version: 4.0.1. Priority: optional.
  * Vcs-Mtn: new URI format.
  * clean objects forgotten by aclocal.m4.
  * Build-Depends: renamed texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 12:42:17 +0200

libgnatcoll (17.0.2017-1) experimental; urgency=medium

  * New upstream release, two new packages for the gnatcoll-xref library.
    No ALI/SO bump in experimental.
  * Build with gnat-7, which deals with SOURCE_DATE_EPOCH directly.
  * Debhelper 10, which deals with autoconf generated stuff.
  * Standards-Version: 4.0.0. Downgrade -doc to Suggests.
    HTTPS URL for copyright format. Handle DEB_BUILD_OPTIONS=nodoc.
  * Allow -doc package to satisfy multi-arch foreign dependencies.
  * PDFLatex now handles SOURCE_DATE_EPOCH without faketime.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jul 2017 01:44:33 +0200

libgnatcoll (16.1.0-1) experimental; urgency=medium

  * New upstream release. Update to ligtkada16.1.0-dev.
    Replace libgnatprj/vsn, dropped by GCC with libgpr from gprbuild.
    Bump ALI versions and conflict/break previous -dev per Ada policy.
    Bump SO versions for gnatcoll and gnatcoll-python.
  * Remove many patches to upstream Makefile and invoke gprbuild directly.
    Upstream prefers a reduced set of well tested configurations.
  * remove generate-sources-timestamp.diff, but regenerate the sources after
    the build and fail if they differ with the ones from the tarball.
  * python_single_statement_set_default_console.diff was waiting an ALI bump.
  * Select all hardening flags, gprbuild will override pie when needed.
  * C sources, ignored in ALI files, do not require predictible timestamps.
  * Simplify watch file thanks to version 4 format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Aug 2016 17:48:30 +0200

libgnatcoll (1.7gpl2015-2) unstable; urgency=medium

  * Revert to python2 as long as most startup scripts in the gnat-gps
    reverse dependency are incompatible with python3. Reopens: #760004.
  * Build-Depend: texlive-generic-extra for iftex.sty. Closes: #830334.
  * Ensure that ./configure and gprbuild use gnatgcc instead of gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 08:05:19 +0200

libgnatcoll (1.7gpl2015-1) unstable; urgency=medium

  * Build with gnat-6 and gprbuild >= 2015-2. Upload to unstable.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Enable all hardening options, but PIE because we build a shared library.
  * Move sphinx-common to Build-Depends-Indep.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 10:06:03 +0200

libgnatcoll (1.7gpl2015-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Build-Depend gnat-5, rename library and -dev packages per Ada policy.
  * watch: use Adacore uscan redirector.
  * copyright: since Files-Excluded is mandatory for minified javascript,
    also remove generated, copied or unused sources.
  * Transmit -a/-i options to dh-ada-library. Closes: #806628.
  * Select python3 instead of 2. Closes: #760004.
  * Set build flags from ./configure instead of gprbuild.
    Let gprbuild select the right gcc version to mix with Ada.
    Configure only once during arch & indep builds.
  * generate-sources-timestamp.diff: update timestamp only if contents
    changed (for reproducible builds).
  * Standards-Version: 3.9.7.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Feb 2016 14:34:24 +0100

libgnatcoll (1.6gpl2014-9) unstable; urgency=medium

  * patches/explicit-source-dirs-in-projects.diff closes: #802862.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Oct 2015 19:34:08 +0100

libgnatcoll (1.6gpl2014-8) unstable; urgency=medium

  * Mix gnat-4.9 with gcc-4.9 instead of default gcc-5. Closes: #777946.
  * (XS-)Testsuite: now generated by dpkg-source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 Sep 2015 00:45:05 +0200

libgnatcoll (1.6gpl2014-7) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.
    Freeze the clock for deterministic PDF timestamps.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:31:48 +0200

libgnatcoll (1.6gpl2014-6) unstable; urgency=medium

  * Section: move source to misc and -dev to libdevel, as do ftpmasters.
  * Priority: raise run-time libraries and -bin to optional, to allow
    optional reverse dependencies (gnat-gps, asis-programs).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 23:14:53 +0200

libgnatcoll (1.6gpl2014-5) unstable; urgency=medium

  * Drop PostGreSQL support, which depends on OpenSSL and is thus
    incompatible with the GPL. Closes: #763284.
  * Standards-Version: 3.9.6 without changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 04 Oct 2014 13:51:20 +0200

libgnatcoll (1.6gpl2014-4) unstable; urgency=medium

  * Link with pthread to circumvent compiler bug #760211.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Sep 2014 00:01:38 +0200

libgnatcoll (1.6gpl2014-3) unstable; urgency=medium

  * Break/Replace gnat-gps << 5.3-4, previous provider of gnatinspect.
  * copyright: explain why some headers contain the GPL-2+.
  * Let libgnatcoll-dev Depends: libgnatgpr-dev (via ada:Depends).
  * Drop redundant Build-Depends-Indep: sphinx-common.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 20:42:35 +0200

libgnatcoll (1.6gpl2014-2) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Aug 2014 06:29:11 +0200

libgnatcoll (1.6gpl2014-1) unstable; urgency=medium

  * Initial packaging. Closes: #757309.
    GPL 2014 is between 1.6 and 1.7 commercial releases.
    Upstream archive is repackaged without minified javascript.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 Aug 2014 03:35:11 +0200
